------------------------------------------------------------
revno: 1055
committer: Siegfried-Angel Gevatter Pujals <rai...@ubuntu.com>
branch nick: zeitgeist
timestamp: Sat 2009-08-08 15:52:31 +0200
message:
  Remove a 'with'-statement to get compatibility with Python 2.5 (LP: #401198).
------------------------------------------------------------

** Changed in: zeitgeist
   Importance: Undecided => Wishlist

** Changed in: zeitgeist
       Status: New => Fix Released

** Changed in: zeitgeist
     Assignee: (unassigned) => Siegfried Gevatter (rainct)

-- 
Zeitgeist is not compatible with Python 2.5
https://bugs.launchpad.net/bugs/401198
You received this bug notification because you are a member of
Zeitgeist-Engine, which is the registrant for Zeitgeist Engine.

Status in Zeitgeist Engine: Fix Released

Bug description:
When starting up zeitgeist-daemon for the first time, I got:
INFO:zeitgeist.engine.base:Creating database: 
sqlite:/home/wiz/.local/share/zeitgeist/database.sqlite
DEBUG:root:Checking for another running instance...
DEBUG:root:No other instances found.
INFO:root:Starting Zeitgeist service...
/usr/pkg/share/zeitgeist/_zeitgeist/loggers/zeitgeist_setup_service.py:223: 
Warning: 'with' will become a reserved keyword in Python 2.6
Traceback (most recent call last):
  File "/usr/pkg/bin/zeitgeist-datahub", line 33, in <module>
    from _zeitgeist.loggers.zeitgeist_setup_service import DataProviderService
  File 
"/usr/pkg/share/zeitgeist/_zeitgeist/loggers/zeitgeist_setup_service.py", line 
223
    with open(self.CONFIGFILE, "w") as configfile:
            ^
SyntaxError: invalid syntax

That is with Python-2.5.4.

_______________________________________________
Mailing list: https://launchpad.net/~zeitgeist
Post to     : zeitgeist@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zeitgeist
More help   : https://help.launchpad.net/ListHelp

Reply via email to